import React from "react"
import styled from "styled-components"


const SquareButton = styled.button`
    background: ${(props) => props.backgroundColor};
    border: 1px solid #999;
    float: left;
    font-size: 24px;
    font-weight: bold;
    line-height: 34px;
    height: 34px;
    margin-right: -1px;
    margin-top: -1px;
    padding: 0;
    text-align: center;
    width: 34px;
    `
function Square(props) {
  return (
    <SquareButton backgroundColor={props.value ? (props.value === "X" ? "blue" : "red") : "#fff"} onClick={props.onClick}>
      {props.value}
    </SquareButton>
  );
}

export default Square;
